package instance

import (
	"fmt"
	"plugins/sdk/shared"
)

type server struct {
	tag     string
	service shared.PluginService
}

type manage map[string]server

func (m manage) add(p server) error {
	if _, ok := m[p.tag]; ok {
		return fmt.Errorf("%s %s", p.tag, "插件已存在")
	}
	m[p.tag] = p
	return nil
}
