package main

import (
	sdkshared "codeup.aliyun.com/6552e56cc3b2728a4557fc18/plugin/shared"
	"github.com/hashicorp/go-plugin"
	"plugins/sdk/shared"
	"plugins/zltx/internal"
)

func main() {
	plugin.Serve(&plugin.ServeConfig{
		HandshakeConfig: shared.Handshake,
		Plugins:         sdkshared.PluginSet(sdkshared.NewPlugin(&internal.ZltxService{}, internal.Tag)),
		GRPCServer:      plugin.DefaultGRPCServer,
	})
}
